      program datngdc2ic
C.....................................................................May  2024
C
C.....................................................................July 2021
C GIRO foF2 hmF2 scaled
C produce result = (Xave(UT-30m)+Xave(ut+30m))/2
C
c	DIMENSION im(12)
	character*2 AMN,ADY,st,AMNI,ADY0
	character*4 AYEAR
      character*1 fh												  !	APR 2024
C
C
 101   write(*,*) ' Enter ST:'
	read(*,*) ST
	if (ST.eq.'00') STOP 
C
       write(*,*) ' Enter AYEAR:'
C	read(*,*) AYEAR
C        AYEAR='2002'	 !TEMP
        AYEAR='2026'	 !TEMP
C
   1	continue
C-       write(*,*) ' Enter AMNi <00> STOP:' ! AMNi- inp_mn
C-	read(*,*) AMNI
C-	if (AMNI.eq.'00') goto 52
C
   2  CONTINUE
C+          write(*,*) ' Enter AMN ' !AMN - MN for cnt
C+  	read(*,*) AMN
       AMN='07'  ! TEMP
	AMNI=AMN  !+++++++++
		if (AMNI.eq.'00') goto 101
C
C+        write(*,*) ' Enter idy1,idy2 stop:'
C+	read(*,*) idy1,idy2
      idy1=1
	idy2=31
	idy0=idy1
	call blet2(idy0,ADY0)
C?	call blet2(idy1,ADY1)
C?	call subdatngdc(st,AYEAR,AMN,AMNI,ADY1)
C+++++++++++++++++++++++++
       DO 51 idy=idy1,idy2
	call blet2(idy,ADY)
C	    if ((st.eq.'wz').or.(st.eq.'at').or.(st.eq.'ch')) then          !1
	    if ((st.eq.'wz').or.(st.eq.'pf')) then          !1
	fh='m'
	call subdatngdc2y(st,fh,AYEAR,AMN,ADY)                          ! M3000
	fh='f'
	call subdatngdc2y(st,fh,AYEAR,AMN,ADY)                          ! foF2
	                   endif
C	if ((st.ne.'wz').and.(st.ne.'ch')) then							   !2
	if ((st.ne.'wz').and.(st.ne.'pf')) then							   !2
	fh='f'
	call subdatngdc2y(st,fh,AYEAR,AMN,ADY)                          ! foF2
	fh='h'
	call subdatngdc2y(st,fh,AYEAR,AMN,ADY)                          ! foF2
	endif											   !2
C
   51	CONTINUE
      goto 101
   52	 pause ' '
	STOP
	END